<bugID>371276<Summary>In Find toolbar, all buttons should be in Tab order</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a3pre) Gecko/20070222 Minefield/3.0a3pre
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a3pre) Gecko/20070222 Minefield/3.0a3pre

In the Find toolbar, you can use Tab to move between the Find  entry and the Match Case checkbox.  Next, Previous, and Highlight All are not in the Tab order., however.

While these buttons are accessible via keyboard shortcut (Alt P, Alt N, and Alt A respectively), it requires that the user have vision to identify what the underlined letters are. :-)

Reproducible: Always

Steps to Reproduce:
1. Press Control F to move focus to the entry on the Find toolbar
2. Press Tab/Shift Tab to move among the controls
Actual Results:  
You cannot move focus to the Next, Previous, and Highlight All buttons.

Expected Results:  
You could move focus to the Next, Previous, and Highlight All buttons.</Description></bugID>